{"openapi":"3.1.0","info":{"title":"Marketplace Warehouses Service API"},"servers":[{"url":"/"}],"paths":{"/public/api/seller/fbo/v1/warehouses":{"get":{"tags":["Публичный API для получения информации о складах"],"summary":"Получение складов Детского Мира","description":"Метод для выгрузки всех складов «Детского мира», в том числе с использованием транзитного склада.\n\nЭто минимизирует риск ошибки при работе с методом «Создание заявки на поставку».\n","operationId":"getWarehouse","parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Запрос успешно обработан","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingDtoApiWarehouseDto"}}}},"403":{"description":"Отказано в доступе","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"429":{"description":"Слишком много запросов","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Внутренняя ошибка сервера","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"ApiError":{"type":"object","properties":{"message":{"type":"string"}}},"ApiErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/ApiError"},"last":{"$ref":"#/components/schemas/ApiError"}}}}},"ApiTransitWarehouseDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}},"ApiWarehouseDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string","minLength":1},"address":{"type":"string","minLength":1},"timeZoneId":{"type":"string","minLength":1},"transitWarehouses":{"type":"array","items":{"$ref":"#/components/schemas/ApiTransitWarehouseDto"}}},"required":["address","timeZoneId","title"]},"ListingDtoApiWarehouseDto":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/ApiWarehouseDto"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/ApiWarehouseDto"},"last":{"$ref":"#/components/schemas/ApiWarehouseDto"}}},"meta":{"$ref":"#/components/schemas/MetaDto"}},"required":["meta","results"]},"MetaDto":{"type":"object","properties":{"count":{"type":"integer","format":"int64"},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int64"},"sort":{"type":"array","items":{"$ref":"#/components/schemas/SortData"},"properties":{"empty":{"type":"boolean"},"first":{"$ref":"#/components/schemas/SortData"},"last":{"$ref":"#/components/schemas/SortData"}}}},"required":["count","limit","offset","sort"]},"SortData":{"type":"object","properties":{"field":{"type":"string"},"sort":{"type":"string","enum":["ASC","DESC","ASCALL","DESCALL"]}},"required":["field","sort"]}}}}